#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>


void setup_mcu(void)
{
	PORTB = 0;
	DDRB  = (1<<PB3);

	// timer
	/* CS22 CS21 CS20 Description					*
	 * 0    0    0    Timer/Counter stopped			*
	 * 0    0    1    clkI/O/1 (No prescaling)		*
	 * 0    1    0    clkI/O/8 (From prescaler)		*
	 * 0    1    1    clkI/O/32 (From prescaler)	*
	 * 1    0    0    clkI/O/64 (From prescaler)	*
	 * 1    0    1    clkI/O/128 (From prescaler)	*
	 * 1    0    1    clkI/O/256 (From prescaler)	*
	 * 1    0    1    clkI/O/1024 (From prescaler)	*/
	TCCR2 = (1<<WGM20)|(1<<COM21)|(1<<CS21)|(1<<CS20);
//	TIMSK |= (1<<TOIE0);
//	TIFR  |= (1<<TOV0);
//	OCR2  = 16;		//1ms
//	OCR2  = 32;		//2ms
}


int main (void)
{
	/* init mcu */
	setup_mcu();
	sei();
	while(1)
	{
		if(PIND&(1<<PD3))	OCR2  = 16;
		else				OCR2  = 32;
		_delay_ms(200);
	}
	return 0;
}
